## haskell-aeson 0.3.2.11

=== benchmarks/Makefile ===
ghc := ghc
ghcflags := -O

binaries := AesonParse AesonEncode JsonParse

all: $(binaries) $(binaries:%=%_p)

%_p: %.hs
	$(ghc) $(ghcflags) -prof -auto-all -rtsopts --make -o $@ $^

%: %.hs
	$(ghc) $(ghcflags) --make -rtsopts -o $@ $^

clean:
	-rm -f *.o *.hi $(binaries) $(binaries:%=%_p)

=== tests/Makefile ===
ghc := ghc

all: qc

qc: Properties.hs
	$(ghc) -Wall -o -threaded --make $@ $<

clean:
	-rm -f qc *.o *.hi

## haskell-aeson 0.3.2.9

=== debian/changelog ===
haskell-aeson (0.3.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 30 Jun 2011 18:39:42 -0400

haskell-aeson (0.3.2.8-1) unstable; urgency=low

  * Initial packaging.

 -- Clint Adams <clint@debian.org>  Sat, 25 Jun 2011 18:47:42 -0400

=== debian/control ===
Source: haskell-aeson
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-attoparsec-dev
  , libghc-attoparsec-prof
  , libghc-blaze-builder-dev
  , libghc-blaze-builder-prof
  , libghc-blaze-textual-dev
  , libghc-blaze-textual-prof
  , libghc-hashable-dev
  , libghc-hashable-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-syb-dev
  , libghc-syb-prof
  , libghc-unordered-containers-dev
  , libghc-unordered-containers-prof
Build-Depends-Indep: ghc-doc
  , libghc-attoparsec-doc
  , libghc-blaze-builder-doc
  , libghc-blaze-textual-doc
  , libghc-hashable-doc
  , libghc-mtl-doc
  , libghc-syb-doc
  , libghc-unordered-containers-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/aeson
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-aeson
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-aeson

Package: libghc-aeson-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Fast JSON parsing and encoding library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.

Package: libghc-aeson-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Fast JSON parsing and encoding library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.

Package: libghc-aeson-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Fast JSON parsing and encoding library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.

## haskell-aeson 0.3.2.11

=== debian/changelog ===
haskell-aeson (0.3.2.11-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 25 Aug 2011 21:45:25 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   , libghc-attoparsec-prof
   , libghc-blaze-builder-dev
   , libghc-blaze-builder-prof
-  , libghc-blaze-textual-dev
+  , libghc-blaze-textual-dev (>> 0.2.0.2)
   , libghc-blaze-textual-prof
   , libghc-hashable-dev
   , libghc-hashable-prof

## haskell-aeson 0.6.0.0

=== debian/changelog ===
haskell-aeson (0.6.0.0-4) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:20:33 -0400

haskell-aeson (0.6.0.0-3) unstable; urgency=low

  * Build-depend on dlist

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:59:50 +0100

haskell-aeson (0.6.0.0-2) unstable; urgency=low

  * Don't build tests threaded on architectures without threaded
    runtime (sparc).

 -- Clint Adams <clint@debian.org>  Tue, 31 Jan 2012 10:27:36 -0500

haskell-aeson (0.6.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 30 Jan 2012 21:46:49 -0500

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,44 @@
 Uploaders: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
-  , haskell-devscripts (>= 0.8)
+  , haskell-devscripts (>= 0.8.10)
   , ghc
   , ghc-prof
-  , libghc-attoparsec-dev
+  , ghc-ghci [any-i386 any-amd64 sparc]
+  , libghc-attoparsec-dev (>> 0.8.6.1)
   , libghc-attoparsec-prof
-  , libghc-blaze-builder-dev
+  , libghc-blaze-builder-dev (>> 0.2.1.4)
   , libghc-blaze-builder-prof
-  , libghc-blaze-textual-dev (>> 0.2.0.2)
-  , libghc-blaze-textual-prof
-  , libghc-hashable-dev
+  , libghc-deepseq-dev
+  , libghc-deepseq-prof
+  , libghc-hashable-dev (>> 1.1.2.0)
   , libghc-hashable-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
   , libghc-syb-dev
   , libghc-syb-prof
-  , libghc-unordered-containers-dev
+  , libghc-dlist-dev
+  , libghc-dlist-prof
+  , libghc-text-dev (>> 0.11.0.2)
+  , libghc-text-prof
+  , libghc-unordered-containers-dev (>> 0.1.3.0)
   , libghc-unordered-containers-prof
+  , libghc-vector-dev (>> 0.7.1)
+  , libghc-vector-prof
+  , libghc-quickcheck2-dev [any-i386 any-amd64 sparc]
+  , libghc-test-framework-dev [any-i386 any-amd64 sparc]
+  , libghc-test-framework-quickcheck2-dev [any-i386 any-amd64 sparc]
 Build-Depends-Indep: ghc-doc
   , libghc-attoparsec-doc
   , libghc-blaze-builder-doc
-  , libghc-blaze-textual-doc
+  , libghc-deepseq-doc
   , libghc-hashable-doc
   , libghc-mtl-doc
   , libghc-syb-doc
+  , libghc-dlist-doc
+  , libghc-text-doc
   , libghc-unordered-containers-doc
+  , libghc-vector-doc
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/aeson
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-aeson

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS := $(shell test -e /usr/lib/ghc/bin/ghci || echo --flags=-th)
DEB_SETUP_GHC_CONFIGURE_ARGS += $(shell test -e /usr/lib/ghc-$(GHC_VERSION)/libHSrts_thr.a || echo --flags=-threaded)
DEB_ENABLE_TESTS = $(shell test -e /usr/lib/ghc/bin/ghci && echo yes)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|aeson-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/aeson \
    ([\d\.]*\d)/

## haskell-aeson 0.6.0.2

=== debian/changelog ===
haskell-aeson (0.6.0.2-1ubuntu1) quantal; urgency=low

  * debian/control: Remove arch restrictions on ghc and other BDs now that we
    should have full support on all arches.

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 26 Aug 2012 10:50:02 +0100

haskell-aeson (0.6.0.2-1build1) quantal; urgency=low

  * No change rebuild for new haskell ABI

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Jul 2012 22:26:22 -0400

haskell-aeson (0.6.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 10 May 2012 01:08:18 -0400

haskell-aeson (0.6.0.1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Tue, 03 Apr 2012 13:17:01 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7)
   , cdbs
   , haskell-devscripts (>= 0.8.10)
-  , ghc
+  , ghc (>= 7.4.2)
   , ghc-prof
-  , ghc-ghci [any-i386 any-amd64 sparc]
+  , ghc-ghci
   , libghc-attoparsec-dev (>> 0.8.6.1)
   , libghc-attoparsec-prof
   , libghc-blaze-builder-dev (>> 0.2.1.4)
@@ -29,9 +29,9 @@
   , libghc-unordered-containers-prof
   , libghc-vector-dev (>> 0.7.1)
   , libghc-vector-prof
-  , libghc-quickcheck2-dev [any-i386 any-amd64 sparc]
-  , libghc-test-framework-dev [any-i386 any-amd64 sparc]
-  , libghc-test-framework-quickcheck2-dev [any-i386 any-amd64 sparc]
+  , libghc-quickcheck2-dev
+  , libghc-test-framework-dev
+  , libghc-test-framework-quickcheck2-dev
 Build-Depends-Indep: ghc-doc
   , libghc-attoparsec-doc
   , libghc-blaze-builder-doc
@@ -43,7 +43,7 @@
   , libghc-text-doc
   , libghc-unordered-containers-doc
   , libghc-vector-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/aeson
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-aeson
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-aeson

## haskell-aeson 0.6.1.0

=== debian/changelog ===
haskell-aeson (0.6.1.0-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 12:22:47 +0100

haskell-aeson (0.6.1.0-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:51:58 +0200

haskell-aeson (0.6.1.0-2) unstable; urgency=low

  [ Colin Watson ]
  * Drop ghc-ghci build-dependency, since we take care to build without
    Template Haskell support on architectures that lack it.

  [ Joachim Breitner ]
  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:47 +0200

haskell-aeson (0.6.1.0-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 Feb 2013 20:25:34 +0100

haskell-aeson (0.6.0.2-2) experimental; urgency=low

  [ Iain Lane ]
  * Remove arch restrictions on ghci and other BDs, now that we should have
    full support on all arches from GHC 7.4.2. Version GHC BD to guarantee
    this.

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 20:54:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.10)
+  , haskell-devscripts (>= 0.8.15)
   , ghc (>= 7.4.2)
   , ghc-prof
-  , ghc-ghci
   , libghc-attoparsec-dev (>> 0.8.6.1)
   , libghc-attoparsec-prof
   , libghc-blaze-builder-dev (>> 0.2.1.4)
@@ -43,7 +42,7 @@
   , libghc-text-doc
   , libghc-unordered-containers-doc
   , libghc-vector-doc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/aeson
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-aeson
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-aeson
@@ -56,12 +55,11 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Fast JSON parsing and encoding library
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
  It is a JSON parsing and encoding library optimized for ease of use
  and high performance.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-aeson-prof
 Architecture: any
@@ -70,13 +68,11 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Fast JSON parsing and encoding library; profiling libraries
- This package provides a library for the Haskell programming language,
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
  It is a JSON parsing and encoding library optimized for ease of use
  and high performance.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-aeson-doc
 Section: doc
@@ -84,10 +80,8 @@
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Fast JSON parsing and encoding library; documentation
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
  It is a JSON parsing and encoding library optimized for ease of use
  and high performance.
+ .
+ ${haskell:Blurb}

## haskell-aeson 0.6.2.1

=== debian/changelog ===
haskell-aeson (0.6.2.1-2) unstable; urgency=medium

  * Fix path to test whether -threaded is supported by GHC

 -- Joachim Breitner <nomeata@debian.org>  Tue, 10 Dec 2013 23:50:13 +0000

haskell-aeson (0.6.2.1-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 22 Nov 2013 21:56:51 -0500

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
   , libghc-mtl-prof
   , libghc-syb-dev
   , libghc-syb-prof
-  , libghc-dlist-dev
+  , libghc-dlist-dev (>= 0.2)
   , libghc-dlist-prof
   , libghc-text-dev (>> 0.11.0.2)
   , libghc-text-prof
@@ -42,7 +42,7 @@
   , libghc-text-doc
   , libghc-unordered-containers-doc
   , libghc-vector-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/aeson
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-aeson
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-aeson

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS := $(shell test -e /usr/lib/ghc/bin/ghci || echo --flags=-th)
DEB_SETUP_GHC_CONFIGURE_ARGS += $(shell test -e /usr/lib/ghc/libHSrts_thr.a || echo --flags=-threaded)
DEB_ENABLE_TESTS = $(shell test -e /usr/lib/ghc/bin/ghci && echo yes)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-aeson 0.7.0.3

=== debian/changelog ===
haskell-aeson (0.7.0.3-1build2) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Jul 2014 16:55:34 +0100

haskell-aeson (0.7.0.3-1build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 May 2014 17:07:49 +0100

haskell-aeson (0.7.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Raúl Benencia <rul@kalgan.cc>  Sat, 19 Apr 2014 12:00:25 -0300

## haskell-aeson 0.7.0.6

=== debian/changelog ===
haskell-aeson (0.7.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Jun 2014 15:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,35 +8,38 @@
   , haskell-devscripts (>= 0.8.15)
   , ghc (>= 7.4.2)
   , ghc-prof
-  , libghc-attoparsec-dev (>> 0.8.6.1)
+  , libghc-attoparsec-dev (>> 0.11.3.4)
   , libghc-attoparsec-prof
-  , libghc-blaze-builder-dev (>> 0.2.1.4)
-  , libghc-blaze-builder-prof
   , libghc-deepseq-dev
   , libghc-deepseq-prof
   , libghc-hashable-dev (>> 1.1.2.0)
   , libghc-hashable-prof
+  , libghc-hunit-dev
   , libghc-mtl-dev
   , libghc-mtl-prof
   , libghc-syb-dev
   , libghc-syb-prof
   , libghc-dlist-dev (>= 0.2)
   , libghc-dlist-prof
-  , libghc-text-dev (>> 0.11.0.2)
+  , libghc-text-dev (>= 1.1)
   , libghc-text-prof
-  , libghc-unordered-containers-dev (>> 0.1.3.0)
+  , libghc-unordered-containers-dev (>= 0.2.3.0)
   , libghc-unordered-containers-prof
-  , libghc-vector-dev (>> 0.7.1)
+  , libghc-vector-dev (>= 0.7.1)
   , libghc-vector-prof
   , libghc-quickcheck2-dev
+  , libghc-scientific-dev (>= 0.3.1)
+  , libghc-scientific-dev (<< 0.4)
+  , libghc-scientific-prof
   , libghc-test-framework-dev
+  , libghc-test-framework-hunit-dev
   , libghc-test-framework-quickcheck2-dev
 Build-Depends-Indep: ghc-doc
   , libghc-attoparsec-doc
-  , libghc-blaze-builder-doc
   , libghc-deepseq-doc
   , libghc-hashable-doc
   , libghc-mtl-doc
+  , libghc-scientific-doc
   , libghc-syb-doc
   , libghc-dlist-doc
   , libghc-text-doc

## haskell-aeson 0.7.0.6.really.0.7.0.3

=== debian/changelog ===
haskell-aeson (0.7.0.6.really.0.7.0.3-1) unstable; urgency=medium

  * Override accidential upload to unstable of 0.7.0.6, which was aimed for
    experimental 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Dec 2014 11:22:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   , haskell-devscripts (>= 0.8.15)
   , ghc (>= 7.4.2)
   , ghc-prof
-  , libghc-attoparsec-dev (>> 0.11.3.4)
+  , libghc-attoparsec-dev (>> 0.10.2.1)
   , libghc-attoparsec-prof
   , libghc-deepseq-dev
   , libghc-deepseq-prof
@@ -21,21 +21,21 @@
   , libghc-syb-prof
   , libghc-dlist-dev (>= 0.2)
   , libghc-dlist-prof
-  , libghc-text-dev (>= 1.1)
+  , libghc-text-dev (>= 0.11.1.0)
   , libghc-text-prof
   , libghc-unordered-containers-dev (>= 0.2.3.0)
   , libghc-unordered-containers-prof
   , libghc-vector-dev (>= 0.7.1)
   , libghc-vector-prof
   , libghc-quickcheck2-dev
-  , libghc-scientific-dev (>= 0.3.1)
-  , libghc-scientific-dev (<< 0.4)
+  , libghc-scientific-dev (>= 0.2)
   , libghc-scientific-prof
   , libghc-test-framework-dev
   , libghc-test-framework-hunit-dev
   , libghc-test-framework-quickcheck2-dev
 Build-Depends-Indep: ghc-doc
   , libghc-attoparsec-doc
+  , libghc-blaze-builder-doc
   , libghc-deepseq-doc
   , libghc-hashable-doc
   , libghc-mtl-doc

## haskell-aeson 0.8.0.2

=== debian/changelog ===
haskell-aeson (0.8.0.2-5) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:03 -0500

haskell-aeson (0.8.0.2-4) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:55 +0200

haskell-aeson (0.8.0.2-3) unstable; urgency=medium

  * Fix tests for threading and template-haskell

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 12 Aug 2015 14:10:50 +0200

haskell-aeson (0.8.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:32 +0200

haskell-aeson (0.8.0.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Dec 2014 13:52:49 +0100

haskell-aeson (0.7.0.6-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Dec 2014 12:57:32 +0100

=== debian/control ===
Source: haskell-aeson
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-attoparsec-dev (>= 0.11.3.4),
 libghc-attoparsec-prof,
 libghc-dlist-dev (>= 0.2),
 libghc-dlist-prof,
 libghc-hashable-dev (>= 1.1.2.0),
 libghc-hashable-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-scientific-dev (>= 0.3.1),
 libghc-scientific-dev (<< 0.4),
 libghc-scientific-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-text-dev (>= 1.1.1.0),
 libghc-text-prof,
 libghc-unordered-containers-dev (>= 0.2.3.0),
 libghc-unordered-containers-prof,
 libghc-vector-dev (>= 0.7.1),
 libghc-vector-prof,
 libghc-hunit-dev,
 libghc-quickcheck2-dev,
 libghc-attoparsec-dev,
 libghc-test-framework-dev,
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev,
 libghc-text-dev,
 libghc-unordered-containers-dev,
 libghc-vector-dev,
Build-Depends-Indep: ghc-doc,
 libghc-attoparsec-doc,
 libghc-dlist-doc,
 libghc-hashable-doc,
 libghc-mtl-doc,
 libghc-scientific-doc,
 libghc-syb-doc,
 libghc-text-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/bos/aeson
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-aeson-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.
 .
 ${haskell:Blurb}

Package: libghc-aeson-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.
 .
 ${haskell:Blurb}

Package: libghc-aeson-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.
 .
 ${haskell:Blurb}

## haskell-aeson 0.10.0.0

=== benchmarks/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ghc := ghc
 ghcflags := -O
 
-binaries := AesonParse AesonEncode JsonParse
+binaries := AesonParse AesonEncode JsonParse AesonCompareAutoInstances
 
 all: $(binaries) $(binaries:%=%_p)

=== debian/changelog ===
haskell-aeson (0.10.0.0-3) unstable; urgency=medium

  * Backports upstream patches that help with 32 bit compat
    (Closes: #811060) 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 22 Jan 2016 22:08:39 +0100

haskell-aeson (0.10.0.0-2) unstable; urgency=medium

  * Add missing test modules.

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 21:36:22 -0500

haskell-aeson (0.10.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 22:56:01 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-attoparsec-dev (>= 0.11.3.4),
+ libghc-attoparsec-dev (>= 0.13.0.1),
  libghc-attoparsec-prof,
  libghc-dlist-dev (>= 0.2),
  libghc-dlist-prof,
@@ -23,7 +23,7 @@
  libghc-syb-prof,
  libghc-text-dev (>= 1.1.1.0),
  libghc-text-prof,
- libghc-unordered-containers-dev (>= 0.2.3.0),
+ libghc-unordered-containers-dev (>= 0.2.5.0),
  libghc-unordered-containers-prof,
  libghc-vector-dev (>= 0.7.1),
  libghc-vector-prof,

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS := $(shell test -e /usr/bin/ghci || echo --flags=-th)
DEB_SETUP_GHC_CONFIGURE_ARGS += $(shell test -e /usr/lib/ghc/rts-1.0/libHSrts_thr.a || echo --flags=-threaded)
DEB_ENABLE_TESTS = $(shell test -e /usr/bin/ghci && echo yes)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/aeson/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-aeson 0.11.2.0

=== debian/changelog ===
haskell-aeson (0.11.2.0-1build2) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Aug 2016 16:57:59 +0200

haskell-aeson (0.11.2.0-1build1) yakkety; urgency=medium

  * No-change rebuild against libghc-scientific-dev-0.3.4.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Jul 2016 06:36:27 +0000

haskell-aeson (0.11.2.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

  [ Sean Whitton ]
  * Refresh patches.
  * Delete obsolete patches (applied upstream):
    - missing-test-modules
    - 5cd5d79e8a0db136ba5f679fbcfb60c7cd17649f.patch
    - a35b5570d6d729a38d68e309c3bd92f3138e3833.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 31 May 2016 17:48:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-aeson
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: extra
 Section: haskell
@@ -12,6 +13,9 @@
  libghc-attoparsec-prof,
  libghc-dlist-dev (>= 0.2),
  libghc-dlist-prof,
+ libghc-fail-dev (>= 4.9),
+ libghc-fail-dev (<< 4.10),
+ libghc-fail-prof,
  libghc-hashable-dev (>= 1.1.2.0),
  libghc-hashable-prof,
  libghc-mtl-dev,
@@ -19,13 +23,19 @@
  libghc-scientific-dev (>= 0.3.1),
  libghc-scientific-dev (<< 0.4),
  libghc-scientific-prof,
+ libghc-semigroups-dev (>= 0.16.1),
+ libghc-semigroups-dev (<< 0.19),
+ libghc-semigroups-prof,
  libghc-syb-dev,
  libghc-syb-prof,
+ libghc-tagged-dev (>= 0.8.3),
+ libghc-tagged-dev (<< 0.9),
+ libghc-tagged-prof,
  libghc-text-dev (>= 1.1.1.0),
  libghc-text-prof,
  libghc-unordered-containers-dev (>= 0.2.5.0),
  libghc-unordered-containers-prof,
- libghc-vector-dev (>= 0.7.1),
+ libghc-vector-dev (>= 0.8),
  libghc-vector-prof,
  libghc-hunit-dev,
  libghc-quickcheck2-dev,
@@ -33,23 +43,29 @@
  libghc-test-framework-dev,
  libghc-test-framework-hunit-dev,
  libghc-test-framework-quickcheck2-dev,
+ libghc-base-orphans-dev (>= 0.5.3),
+ libghc-base-orphans-dev (<< 0.6),
  libghc-text-dev,
  libghc-unordered-containers-dev,
  libghc-vector-dev,
+ libghc-quickcheck-instances-dev (>= 0.3.12),
 Build-Depends-Indep: ghc-doc,
  libghc-attoparsec-doc,
  libghc-dlist-doc,
+ libghc-fail-doc,
  libghc-hashable-doc,
  libghc-mtl-doc,
  libghc-scientific-doc,
+ libghc-semigroups-doc,
  libghc-syb-doc,
+ libghc-tagged-doc,
  libghc-text-doc,
  libghc-unordered-containers-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/bos/aeson
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-aeson-dev
 Architecture: any

## haskell-aeson 0.11.2.1

=== debian/changelog ===
haskell-aeson (0.11.2.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:21 -0400

haskell-aeson (0.11.2.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:16:20 -0400

haskell-aeson (0.11.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Aug 2016 21:14:45 -0700

=== debian/control ===
Source: haskell-aeson
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-attoparsec-dev,
 libghc-attoparsec-dev (>= 0.13.0.1),
 libghc-attoparsec-prof,
 libghc-base-orphans-dev (<< 0.6),
 libghc-base-orphans-dev (>= 0.5.3),
 libghc-dlist-dev (>= 0.2),
 libghc-dlist-prof,
 libghc-hashable-dev (>= 1.1.2.0),
 libghc-hashable-prof,
 libghc-hunit-dev,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-quickcheck-instances-dev (>= 0.3.12),
 libghc-quickcheck2-dev,
 libghc-scientific-dev (<< 0.4),
 libghc-scientific-dev (>= 0.3.1),
 libghc-scientific-prof,
 libghc-semigroups-dev (<< 0.19),
 libghc-semigroups-dev (>= 0.16.1),
 libghc-semigroups-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-tagged-dev (<< 0.9),
 libghc-tagged-dev (>= 0.8.3),
 libghc-tagged-prof,
 libghc-test-framework-dev,
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev,
 libghc-text-dev,
 libghc-text-dev (>= 1.1.1.0),
 libghc-text-prof,
 libghc-unordered-containers-dev,
 libghc-unordered-containers-dev (>= 0.2.5.0),
 libghc-unordered-containers-prof,
 libghc-vector-dev,
 libghc-vector-dev (>= 0.8),
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-attoparsec-doc,
 libghc-dlist-doc,
 libghc-hashable-doc,
 libghc-mtl-doc,
 libghc-scientific-doc,
 libghc-semigroups-doc,
 libghc-syb-doc,
 libghc-tagged-doc,
 libghc-text-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/bos/aeson
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-aeson
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-aeson-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.
 .
 ${haskell:Blurb}

Package: libghc-aeson-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.
 .
 ${haskell:Blurb}

Package: libghc-aeson-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Fast JSON parsing and encoding library${haskell:ShortBlurb}
 It is a JSON parsing and encoding library optimized for ease of use
 and high performance.
 .
 ${haskell:Blurb}

## haskell-aeson 0.11.3.0

=== debian/changelog ===
haskell-aeson (0.11.3.0-1build1) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:29:04 +0000

haskell-aeson (0.11.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:27:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-aeson
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: extra

## haskell-aeson 1.0.2.1

=== debian/changelog ===
haskell-aeson (1.0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 18:38:53 -0400

haskell-aeson (0.11.3.0-2) unstable; urgency=medium

  * Fix path to libHSrts_thr.a.

 -- Clint Adams <clint@debian.org>  Tue, 27 Jun 2017 19:34:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-aeson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: extra
@@ -14,8 +13,9 @@
  libghc-attoparsec-dev,
  libghc-attoparsec-dev (>= 0.13.0.1),
  libghc-attoparsec-prof,
- libghc-base-orphans-dev (<< 0.6),
- libghc-base-orphans-dev (>= 0.5.3),
+ libghc-base-compat-dev (>= 0.9.1),
+ libghc-base-compat-dev (<< 0.10),
+ libghc-base-compat-prof,
  libghc-dlist-dev (>= 0.2),
  libghc-dlist-prof,
  libghc-hashable-dev (>= 1.1.2.0),
@@ -25,14 +25,10 @@
  libghc-mtl-prof,
  libghc-quickcheck-instances-dev (>= 0.3.12),
  libghc-quickcheck2-dev,
+ libghc-scientific-dev (>= 0.3.4.7),
  libghc-scientific-dev (<< 0.4),
- libghc-scientific-dev (>= 0.3.1),
  libghc-scientific-prof,
- libghc-semigroups-dev (<< 0.19),
- libghc-semigroups-dev (>= 0.16.1),
- libghc-semigroups-prof,
- libghc-syb-dev,
- libghc-syb-prof,
+ libghc-tagged-dev (>= 0.8.3),
  libghc-tagged-dev (<< 0.9),
  libghc-tagged-dev (>= 0.8.3),
  libghc-tagged-prof,
@@ -42,7 +38,9 @@
  libghc-text-dev,
  libghc-text-dev (>= 1.1.1.0),
  libghc-text-prof,
- libghc-unordered-containers-dev,
+ libghc-time-locale-compat-dev (>= 0.1.1),
+ libghc-time-locale-compat-dev (<< 0.2),
+ libghc-time-locale-compat-prof,
  libghc-unordered-containers-dev (>= 0.2.5.0),
  libghc-unordered-containers-prof,
  libghc-vector-dev,
@@ -51,17 +49,16 @@
 Build-Depends-Indep:
  ghc-doc,
  libghc-attoparsec-doc,
+ libghc-base-compat-doc,
  libghc-dlist-doc,
  libghc-hashable-doc,
- libghc-mtl-doc,
  libghc-scientific-doc,
- libghc-semigroups-doc,
- libghc-syb-doc,
  libghc-tagged-doc,
  libghc-text-doc,
+ libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/bos/aeson
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-aeson
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS := $(shell test -e /usr/bin/ghci || echo --flags=-th)
DEB_SETUP_GHC_CONFIGURE_ARGS += $(shell test -e /usr/lib/ghc/rts/libHSrts_thr.a || echo --flags=-threaded)
DEB_ENABLE_TESTS = $(shell test -e /usr/bin/ghci && echo yes)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-aeson 1.1.2.0

=== debian/changelog ===
haskell-aeson (1.1.2.0-1build1) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 00:59:16 +0000

haskell-aeson (1.1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Disable tests (Closes: #875304).
    These require base-orphans newer than current LTS.
  * Disable 32bit-fixes patch until it can be refreshed.
    aeson needs to be updated in the archive to unblock other parts of the
    current Haskell transition.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Sep 2017 13:23:53 -0700

haskell-aeson (1.0.2.1-6) unstable; urgency=medium

  * Fix BE and 32bit builds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2017 17:22:07 +0200

haskell-aeson (1.0.2.1-5) unstable; urgency=medium

  [ Adrian Bunk <bunk@debian.org> ]
  * Correct the patch th-options patch, the new release wrongly
    refreshed it. This should fix the FTBFS (Closes: #867996)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2017 11:48:41 +0200

haskell-aeson (1.0.2.1-4) unstable; urgency=medium

  * Re-enable testsuite.

 -- Clint Adams <clint@debian.org>  Fri, 14 Jul 2017 18:48:44 -0400

haskell-aeson (1.0.2.1-3) unstable; urgency=medium

  * Disable testsuite.

 -- Clint Adams <clint@debian.org>  Thu, 13 Jul 2017 19:22:56 -0400

haskell-aeson (1.0.2.1-2) unstable; urgency=medium

  * Fix (testsuite) build-dependencies.  closes: #867871.

 -- Clint Adams <clint@debian.org>  Mon, 10 Jul 2017 07:22:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-aeson
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: extra
@@ -43,9 +44,20 @@
  libghc-time-locale-compat-prof,
  libghc-unordered-containers-dev (>= 0.2.5.0),
  libghc-unordered-containers-prof,
- libghc-vector-dev,
+ libghc-vector-dev (>= 0.8),
+ libghc-uuid-types-dev (>= 1.0.3),
+ libghc-uuid-types-dev (<< 1.1),
+ libghc-uuid-types-prof,
  libghc-vector-dev (>= 0.8),
  libghc-vector-prof,
+# tests require base-orphans newer than current LTS
+# libghc-base-orphans-dev (>= 0.5.3) <!nocheck>,
+# libghc-base-orphans-dev (<< 0.6) <!nocheck>,
+ libghc-base16-bytestring-dev <!nocheck>,
+ libghc-generic-deriving-dev (>= 1.10) <!nocheck>,
+ libghc-generic-deriving-dev (<< 1.12) <!nocheck>,
+ libghc-hashable-time-dev (>= 0.2) <!nocheck>,
+ libghc-hashable-time-dev (<< 0.3) <!nocheck>,
 Build-Depends-Indep:
  ghc-doc,
  libghc-attoparsec-doc,
@@ -57,6 +69,7 @@
  libghc-text-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
+ libghc-uuid-types-doc,
  libghc-vector-doc,
 Standards-Version: 4.0.0
 Homepage: https://github.com/bos/aeson

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS := $(shell test -e /usr/bin/ghci || echo --flags=-th)
DEB_SETUP_GHC_CONFIGURE_ARGS += $(shell test -e /usr/lib/ghc/rts/libHSrts_thr.a || echo --flags=-threaded)
# DEB_ENABLE_TESTS = $(shell test -e /usr/bin/ghci && echo yes)
# requires base-orphans newer than current LTS Haskell
DEB_ENABLE_TESTS = no

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-aeson 1.2.4.0

=== debian/changelog ===
haskell-aeson (1.2.4.0-2build2) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 15:41:07 +0200

haskell-aeson (1.2.4.0-2build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 13:21:45 +0200

haskell-aeson (1.2.4.0-2) unstable; urgency=medium

  * Patch for newer generic-deriving and QuickCheck.

 -- Clint Adams <clint@debian.org>  Sun, 15 Apr 2018 10:05:27 -0400

haskell-aeson (1.2.4.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:13:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: haskell-aeson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -17,7 +16,7 @@
  libghc-base-compat-dev (>= 0.9.1),
  libghc-base-compat-dev (<< 0.10),
  libghc-base-compat-prof,
- libghc-dlist-dev (>= 0.2),
+ libghc-dlist-dev (>= 0.6),
  libghc-dlist-prof,
  libghc-hashable-dev (>= 1.1.2.0),
  libghc-hashable-prof,
@@ -39,10 +38,14 @@
  libghc-text-dev,
  libghc-text-dev (>= 1.1.1.0),
  libghc-text-prof,
+ libghc-th-abstraction-dev (>= 0.2.2),
+ libghc-th-abstraction-dev (<< 0.3),
+ libghc-th-abstraction-prof,
  libghc-time-locale-compat-dev (>= 0.1.1),
  libghc-time-locale-compat-dev (<< 0.2),
  libghc-time-locale-compat-prof,
  libghc-unordered-containers-dev (>= 0.2.5.0),
+ libghc-unordered-containers-dev (<< 0.3),
  libghc-unordered-containers-prof,
  libghc-vector-dev (>= 0.8),
  libghc-uuid-types-dev (>= 1.0.3),
@@ -55,7 +58,7 @@
 # libghc-base-orphans-dev (<< 0.6) <!nocheck>,
  libghc-base16-bytestring-dev <!nocheck>,
  libghc-generic-deriving-dev (>= 1.10) <!nocheck>,
- libghc-generic-deriving-dev (<< 1.12) <!nocheck>,
+ libghc-generic-deriving-dev (<< 1.13) <!nocheck>,
  libghc-hashable-time-dev (>= 0.2) <!nocheck>,
  libghc-hashable-time-dev (<< 0.3) <!nocheck>,
 Build-Depends-Indep:
@@ -67,14 +70,15 @@
  libghc-scientific-doc,
  libghc-tagged-doc,
  libghc-text-doc,
+ libghc-th-abstraction-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
  libghc-uuid-types-doc,
  libghc-vector-doc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/bos/aeson
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-aeson
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-aeson
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-aeson-dev
 Architecture: any

## haskell-aeson 1.3.1.1

=== debian/changelog ===
haskell-aeson (1.3.1.1-3) unstable; urgency=medium

  * Pass ggc-min-expand=10 on mips and mipsel

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 23 Oct 2018 18:32:04 +0300

haskell-aeson (1.3.1.1-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:25 +0300

haskell-aeson (1.3.1.1-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 14:15:59 +0300

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,24 @@
  Clint Adams <clint@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-attoparsec-dev,
  libghc-attoparsec-dev (>= 0.13.0.1),
  libghc-attoparsec-prof,
  libghc-base-compat-dev (>= 0.9.1),
- libghc-base-compat-dev (<< 0.10),
+ libghc-base-compat-dev (<< 0.11),
  libghc-base-compat-prof,
  libghc-dlist-dev (>= 0.6),
  libghc-dlist-prof,
  libghc-hashable-dev (>= 1.1.2.0),
  libghc-hashable-prof,
  libghc-hunit-dev,
- libghc-mtl-dev,
- libghc-mtl-prof,
  libghc-quickcheck-instances-dev (>= 0.3.12),
  libghc-quickcheck2-dev,
  libghc-scientific-dev (>= 0.3.4.7),
@@ -32,12 +31,6 @@
  libghc-tagged-dev (<< 0.9),
  libghc-tagged-dev (>= 0.8.3),
  libghc-tagged-prof,
- libghc-test-framework-dev,
- libghc-test-framework-hunit-dev,
- libghc-test-framework-quickcheck2-dev,
- libghc-text-dev,
- libghc-text-dev (>= 1.1.1.0),
- libghc-text-prof,
  libghc-th-abstraction-dev (>= 0.2.2),
  libghc-th-abstraction-dev (<< 0.3),
  libghc-th-abstraction-prof,
@@ -53,9 +46,8 @@
  libghc-uuid-types-prof,
  libghc-vector-dev (>= 0.8),
  libghc-vector-prof,
-# tests require base-orphans newer than current LTS
-# libghc-base-orphans-dev (>= 0.5.3) <!nocheck>,
-# libghc-base-orphans-dev (<< 0.6) <!nocheck>,
+ libghc-base-orphans-dev (>= 0.5.3) <!nocheck>,
+ libghc-base-orphans-dev (<< 0.8) <!nocheck>,
  libghc-base16-bytestring-dev <!nocheck>,
  libghc-generic-deriving-dev (>= 1.10) <!nocheck>,
  libghc-generic-deriving-dev (<< 1.13) <!nocheck>,
@@ -69,7 +61,6 @@
  libghc-hashable-doc,
  libghc-scientific-doc,
  libghc-tagged-doc,
- libghc-text-doc,
  libghc-th-abstraction-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
@@ -78,7 +69,7 @@
 Standards-Version: 4.1.4
 Homepage: https://github.com/bos/aeson
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-aeson
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-aeson]
 
 Package: libghc-aeson-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS := $(shell test -e /usr/bin/ghci || echo --flags=-th)
DEB_SETUP_GHC_CONFIGURE_ARGS += $(shell test -e /usr/lib/ghc/rts/libHSrts_thr.a || echo --flags=-threaded)
DEB_ENABLE_TESTS = no

# haskell-aeson needs a lot of memory during compilation.
# Unfortunately, this amount of memory is not available on all platforms,
# and error: "virtual memory exhausted: Cannot allocate memory." could appear.
#
# In this case possible solution could be using ggc-min-expand.
# This parameter specifies the minimum percentage by which the
# garbage collector’s heap should be allowed to expand between collections.
# Tuning this may improve compilation speed; it has no effect on code generation.
#
# http://hostingfu.com/article/compiling-with-gcc-on-low-memory-vps
#  -- Dejan Latinovic <Dejan.Latinovic@imgtec.com>
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
	DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc--param -optcggc-min-expand=10"
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
